/*
 * Copyright (C) 2007-2023 Xagasoft, All rights reserved.
 *
 * This file is part of the libbu++ library and is released under the
 * terms of the license contained in the file LICENSE.
 */

#ifndef BU_SOCKET_H
#define BU_SOCKET_H

#include <stdint.h>

#include "bu/config.h"
#include "bu/stream.h"

namespace Bu
{
    /**
     *
     *@ingroup Serving
     *@ingroup Streams
     */
    class Socket : public Stream
    {
    public:
        Socket();
        virtual ~Socket();

        virtual bool getFd( int &rFdOut ) const=0;
    };
}

#endif
